# Tour

Package tourplaner.object

## Class Tour

- java.lang.Object
- - tourplaner.object.Tour

    public class Tour
    extends java.lang.Object

Model einer Tour

### Constructor Summary

Constructors
`Tour​(java.lang.String name, java.lang.String dauer, java.lang.String mapJson, double strecke, java.lang.String start, java.lang.String ziel)`
`Tour​(java.lang.String name, java.lang.String dauer, java.lang.String mapJson, double strecke, java.lang.String start, java.lang.String ziel, java.util.ArrayList<Log> logs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addLog​(Log newLog)` Fügt ein Log Eintrag hinzu
`void` `delLog​(java.lang.String id)` Löscht einen Log eintrag anhand der ID
`java.lang.String` `getDauer()`
`Log` `getLog​(java.lang.String id)` Holt einen einzigen Log Eintrag anhand der Id
`java.util.ArrayList<Log>` `getLogs()` Gibt alle log Einträge zurück
`java.lang.String` `getMapJson()`
`java.lang.String` `getName()`
`java.lang.String` `getStart()`
`double` `getStrecke()`
`java.lang.String` `getZiel()`
`void` `setDauer​(java.lang.String dauer)`
`void` `setLog​(java.util.ArrayList<Log> log)`
`void` `setMapJson​(java.lang.String mapJson)`
`void` `setName​(java.lang.String name)`
`void` `setStart​(java.lang.String start)`
`void` `setStrecke​(double strecke)`
`void` `setTour​(Tour tour)`
`void` `setZiel​(java.lang.String ziel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Tour

    public Tour​(java.lang.String name,
                java.lang.String dauer,
                java.lang.String mapJson,
                double strecke,
                java.lang.String start,
                java.lang.String ziel)

#### Tour

    public Tour​(java.lang.String name,
                java.lang.String dauer,
                java.lang.String mapJson,
                double strecke,
                java.lang.String start,
                java.lang.String ziel,
                java.util.ArrayList<Log> logs)

### Method Detail

#### setTour

    public void setTour​(Tour tour)

#### setLog

    public void setLog​(java.util.ArrayList<Log> log)

#### getLog

    public Log getLog​(java.lang.String id)

Holt einen einzigen Log Eintrag anhand der Id

Parameters:
  `id` - Id des Eintrags der zu besorgen ist
Returns:
  Der gefundene Log Eintrag

#### addLog

    public void addLog​(Log newLog)

Fügt ein Log Eintrag hinzu

Parameters:
  `newLog` - Der neue Log Eintrag

#### getLogs

    public java.util.ArrayList<Log> getLogs()

Gibt alle log Einträge zurück

Returns:
  Alle log Einträge in einer Arraylist

#### delLog

    public void delLog​(java.lang.String id)

Löscht einen Log eintrag anhand der ID

Parameters:
  `id` - Id die zum löschen ist

#### getDauer

    public java.lang.String getDauer()

#### setDauer

    public void setDauer​(java.lang.String dauer)

#### getMapJson

    public java.lang.String getMapJson()

#### setMapJson

    public void setMapJson​(java.lang.String mapJson)

#### getStrecke

    public double getStrecke()

#### setStrecke

    public void setStrecke​(double strecke)

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### getStart

    public java.lang.String getStart()

#### setStart

    public void setStart​(java.lang.String start)

#### getZiel

    public java.lang.String getZiel()

#### setZiel

    public void setZiel​(java.lang.String ziel)